package com.goomood.phm.service;

import java.util.Map;

/**
 * 故障监控服务接口
 */
public interface FaultMonitorService {

    /**
     * 统计近三年下月发生故障最多的5类部件
     * @return 部件名称与故障次数的映射
     */
    Map<String, Long> getTop5FaultyPartsNextMonthInThreeYears();

    /**
     * 统计近半年发生故障最多的5类部件
     * @return 部件名称与故障次数的映射
     */
    Map<String, Long> getTop5FaultyPartsInSixMonths();
}    